/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the Mozilla Penelope project.
 *
 * The Initial Developer of the Original Code is
 * QUALCOMM Incorporated.
 * Portions created by QUALCOMM Incorporated are
 * Copyright (C) 2007 QUALCOMM Incorporated. All Rights Reserved.
 *
 * Contributor(s):
 *     Mark Charlebois <mcharleb@qualcomm.com> original author
 *     Jeff Beckley <beckley@qualcomm.com>
 *     Matt Dudziak <mdudziak@qualcomm.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

var gPenelopePane =
{
  mInitialized: false,
  init : function ()
  {
    dump("in penelopePrefsOnLoad\n");
    // Set the state of the 'Always display remote images' checkbox to the
    // inverse of setting 'mailnews.message_display.disable_remote_image'
    
    let prefBranch = Components.classes["@mozilla.org/preferences-service;1"]
                               .getService(Components.interfaces.nsIPrefBranch2);
    document.getElementById('alwaysDisplayRemoteImages').checked =
            !prefBranch.getBoolPref("mailnews.message_display.disable_remote_image");

    var selectedTab = document.getElementById("penelopePreferenceSelectedTabIndex");
    if (selectedTab.value)
      document.getElementById("penelopePrefs").selectedIndex = selectedTab.value;


    this.mInitialized = true;
  },

  populateFonts : function (aMenuList)
  {
    FontBuilder.buildFontList("", "", aMenuList);
    // Add an empty item to the beginning of the list so that the user can go back to the default
    aMenuList.insertItemAt(0, "", "");
    return undefined;
  },
  
  handleRemoteImageChange : function ()
  {
    // When the user clicks the checkbox for 'Always display remote images"
    // set the backwards setting 'mailnews.message_display.disable_remote_image'
    // to the inverse of our setting.

    let prefBranch = Components.classes["@mozilla.org/preferences-service;1"]
                             .getService(Components.interfaces.nsIPrefBranch2);

    prefBranch.setBoolPref("mailnews.message_display.disable_remote_image",
             !document.getElementById('alwaysDisplayRemoteImages').checked);
  },

  tabSelectionChanged: function ()
  {
    if (this.mInitialized)
      document.getElementById("penelopePreferenceSelectedTabIndex")
              .valueFromPreferences = document.getElementById("penelopePrefs").selectedIndex;
  },
};
